Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157300 - Strange behavior on ppc64
Summary: Strange behavior on ppc64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elinks
Version: rawhide
Hardware: powerpc
OS: Linux
low
high
Target Milestone: ---
Assignee: Karel Zak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 12:36 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 09:52:02 UTC


Attachments (Terms of Use)
A fix (deleted)
2005-05-13 13:37 UTC, Miloslav Trmač
no flags Details | Diff

Description Miloslav Trmač 2005-05-10 12:36:46 UTC
Description of problem:
- start elinks
  => a warning: "You have option config.saving_style set to a de facto obsolete
     value"..., even though there is no config file present
- press Enter, press 'g', enter an URL, press Enter
  => the dialog goes away, but nothing more happens.

Version-Release number of selected component (if applicable):
elinks-0.10.3-2

Comment 1 Miloslav Trmač 2005-05-13 13:37:38 UTC
Created attachment 114334 [details]
A fix

No, initializing 'num' in 
union {
  T * ptr;
  int num;
}
by initializing 'ptr' to (T *)val _really_ is not valid C.

Applying the patch seems to result in an useable browser, at least with my
limited testing.

Comment 2 Karel Zak 2005-05-17 09:52:02 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.